## a56 1.3%2Bdfsg

=== debian/watch ===
version=3

opts=dversionmangle=s/\+dfsg// \
	http://www.zdomain.com/a56.html a56/a56v(\d\.\d)\.tar.gz
