=== debian/changelog ===
a56 (1.3+dfsg-12) unstable; urgency=medium

  * add debian/gbp.conf
  * activate salsa-ci.yml
  * convert debian/copyright to dep5

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 09 Nov 2024 17:00:00 +0100

a56 (1.3+dfsg-11) unstable; urgency=medium

  [ Ben Hutchings ]
  * Update patches to fix new errors in gcc-14 (Closes: #1074798):
    - Drop "non-void should return a value bug in main." (clang-ftbfs.diff)
      as the affected function should actually return void
    - Replace the many partial function declaration patches with a single
      patch that fixes all missing prototypes and K&R style definitions
  * Drop "Replace undeclared fatal" (replace-undecl-fatal.patch), as
    fatal() is now declared
  * Add format attributes to allow type checks on *printf() wrappers
  * Enable most compiler warnings (-Wall -Wextra with some overrides)
  * Fix remaining warnings in upstream code with gcc-14
  * a56-tobin: Check for errors from pwrite()
  * Add debian/.gitgnore file to make 'git add debian' safer

  [ Thorsten ]
  * debian/control: bump standard to 4.7.0 (no changes)
  * debian/watch: use version 4
  * fix spelling in patch description
  * mark patches such that forwarding is not needed

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 28 Jul 2024 23:00:00 +0200

a56 (1.3+dfsg-10.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Use standard strtol.
  * Fix a lot of implicit-function-declarations. (Closes: #1066195)

 -- Bastian Germann <bage@debian.org>  Sat, 16 Mar 2024 20:29:00 +0000

a56 (1.3+dfsg-10) unstable; urgency=medium

  [ debian janitor ]
  * Trim trailing whitespace.
  * Bump debhelper from old 11 to 13.
  * Set debhelper-compat version in Build-Depends.
  * Use canonical URL in Vcs-Browser.

  [ Thorsten ]
  * debian/control: bump standard to 4.6.2 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 13 Jan 2024 23:00:00 +0100

a56 (1.3+dfsg-9) unstable; urgency=low

  * debian/control: use dh11
  * debian/control: bump standard to 4.1.3 (no changes)
  * debian/control: use Priority: optional
  * debian/control: add salsa URLs
  * debian/patches: finally remove unused patches
  * debian/rules: add hardening flags
  * debian/rules: add --no-parallel

 -- Thorsten Alteholz <debian@alteholz.de>  Tue, 20 Feb 2018 18:00:00 +0100

a56 (1.3+dfsg-8) unstable; urgency=low

  * Fix the FTBFS with clang:,  (Closes: #739929)
    - Fixed non-void should return a value bug in main.c
      (patch by Arthur Marble)
  * debian/control: bump standrad to 3.9.5 (no changes)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 23 Mar 2014 18:00:00 +0100

a56 (1.3+dfsg-7) unstable; urgency=low

  * new maintainer (Closes: #594375)
  * copyright of examples is not clear so I removed them
    source tarball re-packed also to be able to work with quilt
  * debian/source/format: add 3.0 (quilt)
  * debian/compat: change to 9
  * debian/control: dh 9
  * debian/control: remove cdbs dependency
  * debian/copyright: change link to file and insert 'Copyright'
  * debian/watch: add file
  * debian/patches: rework patches for quilt
  * debian/patches/pc-type.patch: change type of variable (Closes: #689364)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 26 Nov 2012 18:00:00 +0100

a56 (1.3-6) unstable; urgency=low

  * QA upload, set maintainer to Debian QA group
  * Fix typo (Closes: #503842)
  * Add manpage created by Denis Briand (Closes: #579595)

 -- Moritz Muehlenhoff <jmm@inutil.org>  Fri, 10 Jun 2011 00:32:20 +0200

a56 (1.3-5) unstable; urgency=high

  * patches/04_add_missing_prototypes.diff: Add missing prototypes for
    alloc() and fixstring().  (Closes: #503698)
  * bin2h.c: Refurbish CLI to make it more flexible.

 -- Robert Millan <rmh@aybabtu.com>  Mon, 27 Oct 2008 21:39:44 +0100

a56 (1.3-4) unstable; urgency=high

  * Add bin2h for binary to C-header conversion.

 -- Robert Millan <rmh@aybabtu.com>  Sun, 26 Oct 2008 17:00:38 +0100

a56 (1.3-3) unstable; urgency=high

  * Add a56- prefix to tobin, toomf and keybld.

 -- Robert Millan <rmh@aybabtu.com>  Sun, 26 Oct 2008 13:54:06 +0100

a56 (1.3-2) unstable; urgency=high

  * Build-depend on bison.

 -- Robert Millan <rmh@aybabtu.com>  Tue, 21 Oct 2008 17:35:19 +0200

a56 (1.3-1) unstable; urgency=high

  * Initial release.  (Closes: #502508)

 -- Robert Millan <rmh@aybabtu.com>  Mon, 20 Oct 2008 15:03:37 +0000
