=== debian/control ===
Source: a56
Section: devel
Priority: optional
Maintainer: Thorsten Alteholz <debian@alteholz.de>
Build-Depends: debhelper-compat (= 13), bison
Standards-Version: 4.7.0
Homepage: http://www.zdomain.com/a56.html
Vcs-Browser: https://salsa.debian.org/alteholz/a56
Vcs-Git: https://salsa.debian.org/alteholz/a56.git
Rules-Requires-Root: no
#not really needed: Testsuite: autopkgtest

Package: a56
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Motorola DSP56001 assembler
 a56 is an assembler for the Motorola DSP56001 family of microcontrollers.
 .
 It is capable of compiling the firmware used in Linux' dsp56k.c driver.
 .
 Example DSP code for musical effects such as chorus, flange, and reverb
 can be found at http://www.zdomain.com/a56/src/examples/ (unfortunately
 copyright prevents distribution).
