=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_CFLAGS_MAINT_APPEND = -Wall -Wextra -Wno-comment -Wno-parentheses -Wno-unused-variable

%:
	dh $@ --no-parallel

override_dh_clean:
	dh_clean
	rm -f gram.c gram.h
	rm -f toktab.c kparse.c
	rm -f a56-keybld a56-toomf
	rm -f debian/bin2h debian/a56-tobin
	rm -f debian/bin2h.o debian/a56-tobin.o
	rm -f bin2h a56-tobin

override_dh_auto_build:
	dh_auto_build

override_dh_install:
	mv keybld a56-keybld
	mv toomf a56-toomf
	dh_install
