=== debian/watch ===
version=4

opts=dversionmangle=s/\+dfsg// \
	http://www.zdomain.com/a56.html a56/a56v(\d\.\d)\.tar.gz
